# Typesafe translator for React

A lightweight, type-safe translation library for React that simplifies internationalization (i18n) with TypeScript. Supports lazy loading, automatic generation of locale files, and string interpolation with compile-time safety. Designed for React applications to minimize boilerplate and maximize flexibility.

## Features

• 🛡 Type Safety: Ensures compile-time validation of translation keys and placeholders, reducing runtime errors.
• 🌍 Dynamic Locale Switching: Switch between locales seamlessly at runtime.
• 🔄 String Interpolation: Supports named ({key}) and positional ({0}) placeholders in translations.
• 🚀 Lazy Loading: Fetch locale files on demand, reducing initial bundle size.
• 🛠 Automatic Locale Generation: Generate locale JSON files during the build step.
• 📦 Lightweight & Modular: Minimal dependencies with a modular design.
• 🔗 React-Ready: Built for React (supports React >=16.8).

## Installation

```bash
npm install typesafe-translator-react
```

## Usage
